import numpy as np
from scipy import io
import os
import torch
from experiment.main import args
view_train = dict()
view_test = dict()
view_val = dict()
path = '/home1/xuyilun/data/20data'
seed = 7890
F = np.load('/home1/xuyilun/20/20news/20news_dataset/dataset/m10_PAM.npy')

N = F.shape[0]
print(F.shape)
np.random.seed(seed)
np.random.shuffle(F)
training_split = int(N * 0.6)
val_split = int(N*0.8)
print(training_split)
print('Single View Shape:',F.shape)
view_train[1] = torch.from_numpy(F).float()[:training_split]
view_test[1] = torch.from_numpy(F).float()[training_split:val_split]
view_val[1] = torch.from_numpy(F).float()[val_split:]

F = np.load('/home1/xuyilun/20/20news/20news_dataset/dataset/m10_SMI.npy')
np.random.seed(seed)
np.random.shuffle(F)
view_train[2] = torch.from_numpy(F).float()[:training_split]
view_test[2] = torch.from_numpy(F).float()[training_split:val_split]
view_val[2] = torch.from_numpy(F).float()[val_split:]

F = np.load('/home1/xuyilun/20/20news/20news_dataset/dataset/m10_UMI.npy')
np.random.seed(seed)
np.random.shuffle(F)
view_train[3] = torch.from_numpy(F).float()[:training_split]
view_test[3] = torch.from_numpy(F).float()[training_split:val_split]
view_val[3] = torch.from_numpy(F).float()[val_split:]
f = open(os.path.join(path,'NG20-UMI/M10/m10_act.txt'))
lines = f.read()
collect = []
for r in lines:
    if r >= '1' and r<= '9':
        collect += [int(r)-1]
collect = np.array(collect)

collect = np.load('/home1/xuyilun/20/20news/20news_dataset/dataset/m10_act.npy')
collect = np.concatenate([collect,collect],axis=0) - 1
print("label shape:",collect.shape)

np.random.seed(seed)
np.random.shuffle(collect)

label_train = collect[:training_split]

label_test = collect[training_split:val_split]
label_val = collect[val_split:]
split = int(len(label_train) * args.label_fraction)
