import numpy as np


def read_img(file_name, normal=0, max_value=None):
    dtype = np.dtype('float32')
    fid = open(file_name, 'rb')
    data = np.fromfile(fid, dtype)

    img = data.reshape((91, 109, 91))

    if normal == 1:

        img = 255.0 * img / max_value
    img = img.astype('int')

    full_img = np.zeros((96, 96, 96))
    full_img[48 - 46:48 + 45, :, 48 - 46:48 + 45] = img[:, 6:6 + 96, :]
    return full_img